cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
hitpmpm@163.com
Participant
Participant
7,160 Views
Registered: ‎11-30-2017

sdk 2017.4 "arm-xilinx-eabi-gcc" not found in PATH

Jump to solution

hello everyone

when I use the sdk2017.4 on zedboard,I met the following error, I cannot solve it,thanks!


Program "arm-xilinx-eabi-gcc" not found in PATH 

0 Kudos
1 Solution

Accepted Solutions
sadanan
Xilinx Employee
Xilinx Employee
7,596 Views
Registered: ‎10-21-2010

Hi hitpmpm@163.com,

 

arm-xilinx-eabi-gcc is the COdeSourcery toolchain, which is no longer available in SDK. You should migrate any old projects to use the new Linaro toolchain (arm-none-eabi-gcc)

View solution in original post

0 Kudos
7 Replies
sadanan
Xilinx Employee
Xilinx Employee
7,597 Views
Registered: ‎10-21-2010

Hi hitpmpm@163.com,

 

arm-xilinx-eabi-gcc is the COdeSourcery toolchain, which is no longer available in SDK. You should migrate any old projects to use the new Linaro toolchain (arm-none-eabi-gcc)

View solution in original post

0 Kudos
hitpmpm@163.com
Participant
Participant
7,120 Views
Registered: ‎11-30-2017

sorry, I am a greenhand to SDK, can you tell  me more details ?

0 Kudos
sadanan
Xilinx Employee
Xilinx Employee
7,101 Views
Registered: ‎10-21-2010

In older versions of SDK, codesourcery was the default toolchain, so any projects created in older versions will have a dependency on codesourcery. If you import any such projects to new SDK, you will see this error, since the new SDK only has the Linaro toolchain

 

If you're seeing this error somewhere else, can you please provide more details

0 Kudos
hitpmpm@163.com
Participant
Participant
7,076 Views
Registered: ‎11-30-2017

I migrate the old version project to the new version, it works! thanks,sir! 

    best wishes!

0 Kudos
chewenjie27205
Observer
Observer
6,746 Views
Registered: ‎08-06-2018

Hi,

 

I was trying to compile a C program running on the Zybo Linux using 2018.2 SDK, I got an error message when I specified the 2018.2 SDK assembler/compiler/linker as 'arm-xilinx-linux-gnueabi-gcc'. The error is as below:

 

'Invoking: ARM v7 Linux gcc compiler'
arm-xilinx-gnueabi-gcc -Wall -O0 -g3 -c -fmessage-length=0 -MT"SDK/common.o" -MMD -MP -MF"SDK/common.d" -MT"SDK/common.o" -o "SDK/common.o" "F:/FPGAs/Zybo/SDK/common.c"
'arm-xilinx-gnueabi-gcc' is not recognized as an internal or external command,
operable program or batch file.
make: *** [SDK/common.o] Error 1

 

Is it because the new SDK version exclude the 'arm-xilinx-linux-gnueabi-gcc' compiler? How can I fix this problem? Do I have to re-install an older version of SDK to solve this? Thanks.

 

0 Kudos
sadanan
Xilinx Employee
Xilinx Employee
6,720 Views
Registered: ‎10-21-2010
0 Kudos
jaume
Visitor
Visitor
2,818 Views
Registered: ‎10-11-2019

Hello!

I am new at using Zybo.

I am using SDK 2015.4 and I have the same problem. How should I do in order to use the Linaro toolchain?

0 Kudos